package benefactoraddresshandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth/benefactor"
	benefactoraddressservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/address"
	benefactoraddressvalidator "git.gocasts.ir/ebhomengo/niki/validator/benefactor/address"
)

type Handler struct {
	authConfig authservice.Config
	authSvc    authservice.Service
	addressSvc benefactoraddressservice.Service
	addressVld benefactoraddressvalidator.Validator
}

func New(
	authConfig authservice.Config,
	authSvc authservice.Service,
	addressSvc benefactoraddressservice.Service,
	addressVld benefactoraddressvalidator.Validator,
) Handler {
	return Handler{
		authConfig: authConfig,
		authSvc:    authSvc,
		addressSvc: addressSvc,
		addressVld: addressVld,
	}
}
